Package com.ocient.jdbc.proto

# Interface PlanProtocol.FilterClauseOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.FilterClause`, `PlanProtocol.FilterClause.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.FilterClauseOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `getLhs()` | Either a column name or a string representation of a literal
`com.google.protobuf.ByteString` | `getLhsBytes()` | Either a column name or a string representation of a literal
`boolean` | `getLhsIsCol()` | `bool lhsIsCol = 6;`
`PlanProtocol.SqlColType` | `getLhsType()` | The types are only meaningful if it is not a column
`int` | `getLhsTypeValue()` | The types are only meaningful if it is not a column
`PlanProtocol.FilterClause.FilterOp` | `getOp()` | `.xg.db.sqlPlans.FilterClause.FilterOp op = 2;`
`int` | `getOpValue()` | `.xg.db.sqlPlans.FilterClause.FilterOp op = 2;`
`String` | `getRhs()` | `string rhs = 3;`
`com.google.protobuf.ByteString` | `getRhsBytes()` | `string rhs = 3;`
`boolean` | `getRhsIsCol()` | `bool rhsIsCol = 7;`
`PlanProtocol.SqlColType` | `getRhsType()` | `.xg.db.sqlPlans.SqlColType rhsType = 5;`
`int` | `getRhsTypeValue()` | `.xg.db.sqlPlans.SqlColType rhsType = 5;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getLhs

String getLhs()

    Either a column name or a string representation of a literal

`string lhs = 1;`

### getLhsBytes

com.google.protobuf.ByteString getLhsBytes()

    Either a column name or a string representation of a literal

`string lhs = 1;`

### getOpValue

int getOpValue()
`.xg.db.sqlPlans.FilterClause.FilterOp op = 2;`

### getOp

PlanProtocol.FilterClause.FilterOp getOp()
`.xg.db.sqlPlans.FilterClause.FilterOp op = 2;`

### getRhs

String getRhs()
`string rhs = 3;`

### getRhsBytes

com.google.protobuf.ByteString getRhsBytes()
`string rhs = 3;`

### getLhsTypeValue

int getLhsTypeValue()

    The types are only meaningful if it is not a column

`.xg.db.sqlPlans.SqlColType lhsType = 4;`

### getLhsType

PlanProtocol.SqlColType getLhsType()

    The types are only meaningful if it is not a column

`.xg.db.sqlPlans.SqlColType lhsType = 4;`

### getRhsTypeValue

int getRhsTypeValue()
`.xg.db.sqlPlans.SqlColType rhsType = 5;`

### getRhsType

PlanProtocol.SqlColType getRhsType()
`.xg.db.sqlPlans.SqlColType rhsType = 5;`

### getLhsIsCol

boolean getLhsIsCol()
`bool lhsIsCol = 6;`

### getRhsIsCol

boolean getRhsIsCol()
`bool rhsIsCol = 7;`